-- MySQL dump 10.9
--
-- Host: localhost    Database: vendita
-- ------------------------------------------------------
-- Server version	4.1.9-max

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `articolo`
--

DROP TABLE IF EXISTS `articolo`;
CREATE TABLE `articolo` (
  `idart` varchar(10) NOT NULL default '',
  `nomea` varchar(20) NOT NULL default '',
  `descrizione` text,
  `prezzo` float(6,2) NOT NULL default '0.00',
  PRIMARY KEY  (`idart`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `articolo`
--


/*!40000 ALTER TABLE `articolo` DISABLE KEYS */;
LOCK TABLES `articolo` WRITE;
INSERT INTO `articolo` VALUES ('cklit','Chicken Little','Pupazzo parlante del cartone Disney',15.50);
UNLOCK TABLES;
/*!40000 ALTER TABLE `articolo` ENABLE KEYS */;

--
-- Table structure for table `cliente`
--

DROP TABLE IF EXISTS `cliente`;
CREATE TABLE `cliente` (
  `username` varchar(14) NOT NULL default '',
  `password` varchar(10) default NULL,
  `cognome` varchar(14) NOT NULL default '',
  `nome` varchar(14) NOT NULL default '',
  `piva` varchar(11) default NULL,
  `via` varchar(26) NOT NULL default '',
  `numero` int(10) unsigned NOT NULL default '0',
  `citta` varchar(20) NOT NULL default '',
  `prov` varchar(4) NOT NULL default '',
  `cap` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cliente`
--


/*!40000 ALTER TABLE `cliente` DISABLE KEYS */;
LOCK TABLES `cliente` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cliente` ENABLE KEYS */;

--
-- Table structure for table `ordine`
--

DROP TABLE IF EXISTS `ordine`;
CREATE TABLE `ordine` (
  `nordine` bigint(20) unsigned NOT NULL auto_increment,
  `datao` date default NULL,
  `importoo` float(8,2) default NULL,
  `confermato` char(2) default 'no',
  `username` varchar(14) NOT NULL default '',
  PRIMARY KEY  (`nordine`),
  CONSTRAINT `ordine_ibfk_1` FOREIGN KEY (`username`) REFERENCES `cliente` (`username`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ordine`
--


/*!40000 ALTER TABLE `ordine` DISABLE KEYS */;
LOCK TABLES `ordine` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ordine` ENABLE KEYS */;

--
-- Table structure for table `relativo`
--

DROP TABLE IF EXISTS `relativo`;
CREATE TABLE `relativo` (
  `nordine` bigint(20) unsigned NOT NULL default '0',
  `idart` varchar(10) NOT NULL default '',
  `quantita` int(10) unsigned NOT NULL default '0',
  CONSTRAINT `relativo_ibfk_1` FOREIGN KEY (`nordine`) REFERENCES `ordine` (`nordine`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `relativo_ibfk_2` FOREIGN KEY (`idart`) REFERENCES `articolo` (`idart`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `relativo`
--


/*!40000 ALTER TABLE `relativo` DISABLE KEYS */;
LOCK TABLES `relativo` WRITE;
INSERT INTO `relativo` VALUES (1,'cklit',4);
UNLOCK TABLES;
/*!40000 ALTER TABLE `relativo` ENABLE KEYS */;
ser` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

