-- MySQL dump 10.9
--
-- Host: localhost    Database: video
-- ------------------------------------------------------
-- Server version	4.1.14-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cliente`
--

DROP TABLE IF EXISTS `cliente`;
CREATE TABLE `cliente` (
  `ntess` varchar(12) NOT NULL default '',
  `cognome` varchar(32) NOT NULL default '',
  `nome` varchar(24) NOT NULL default '',
  `telefono` varchar(16) NOT NULL default '',
  `cf` varchar(16) default NULL,
  PRIMARY KEY  (`ntess`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cliente`
--


/*!40000 ALTER TABLE `cliente` DISABLE KEYS */;
LOCK TABLES `cliente` WRITE;
INSERT INTO `cliente` VALUES ('1234','tomassetti','nome','+39 0532 974305','tmslcu73d24d548v'),('2354','gregori','fausto','+39 0532 3636806','grgfst85c28d520h'),('2656','romagnoli','lisa','+39 0532 666060','rmglis856a18f520'),('2666','beccari','giacomo','+39 0532 666060','bccgcm856a18f520');
UNLOCK TABLES;
/*!40000 ALTER TABLE `cliente` ENABLE KEYS */;

--
-- Table structure for table `genere`
--

DROP TABLE IF EXISTS `genere`;
CREATE TABLE `genere` (
  `genere` varchar(24) NOT NULL default '',
  PRIMARY KEY  (`genere`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `genere`
--


/*!40000 ALTER TABLE `genere` DISABLE KEYS */;
LOCK TABLES `genere` WRITE;
INSERT INTO `genere` VALUES ('azione'),('cartoon'),('commedia'),('fantascienza'),('fantasy'),('giallo'),('horror'),('thriller');
UNLOCK TABLES;
/*!40000 ALTER TABLE `genere` ENABLE KEYS */;

--
-- Table structure for table `noleggio`
--

DROP TABLE IF EXISTS `noleggio`;
CREATE TABLE `noleggio` (
  `ntess` varchar(12) NOT NULL default '',
  `idv` bigint(20) unsigned NOT NULL default '0',
  `dataI` date NOT NULL default '0000-00-00',
  `dataF` date default NULL,
  PRIMARY KEY  (`ntess`,`idv`,`dataI`),
  FOREIGN KEY (idv) references video(idv),
 FOREIGN KEY (ntess)references cliente(ntess)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `noleggio`
--


/*!40000 ALTER TABLE `noleggio` DISABLE KEYS */;
LOCK TABLES `noleggio` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `noleggio` ENABLE KEYS */;

--
-- Table structure for table `video`
--

DROP TABLE IF EXISTS `video`;
CREATE TABLE `video` (
  `idv` bigint(20) unsigned NOT NULL auto_increment,
  `titolo` varchar(128) NOT NULL default '',
  `trama` text,
  `genere` varchar(24) NOT NULL default '',
  `durata` time default NULL,
  `costo` float(3,2) unsigned NOT NULL default '3.50',
  PRIMARY KEY  (`idv`),
  UNIQUE KEY `idv` (`idv`),
  FOREIGN KEY  (genere) references genere(genere) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `video`
--


/*!40000 ALTER TABLE `video` DISABLE KEYS */;
LOCK TABLES `video` WRITE;
INSERT INTO `video` VALUES (1,'identita','','thriller','01:50:20',3.50),(2,'american pie','','commedia','01:50:20',3.50),(3,'road trip','','commedia','01:50:20',3.50);
UNLOCK TABLES;
/*!40000 ALTER TABLE `video` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

