-- MySQL dump 10.9
--
-- Host: localhost    Database: video
-- ------------------------------------------------------
-- Server version	4.1.14-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cliente`
--

DROP TABLE IF EXISTS `cliente`;
CREATE TABLE `cliente` (
  `ntess` varchar(12) NOT NULL default '',
  `cognome` varchar(32) NOT NULL default '',
  `nome` varchar(24) NOT NULL default '',
  `telefono` varchar(16) NOT NULL default '',
  `cf` varchar(16) default NULL,
  PRIMARY KEY  (`ntess`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cliente`
--


/*!40000 ALTER TABLE `cliente` DISABLE KEYS */;
LOCK TABLES `cliente` WRITE;
INSERT INTO `cliente` VALUES ('00000001','Ragno','Uomo','+39 0532 999888',NULL),('1234','Tomassetti','Luca','+39 0532 974305','TMSLCU73D24D548V'),('9876543210','Zanghirati','Gaetano','+39 0532 9746xx',NULL),('9876543211','Gianoli','Alberto','+39 0532 974628',NULL),('99999999','Pippo','Pluto','+39 0532 123456',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `cliente` ENABLE KEYS */;

--
-- Table structure for table `genere`
--

DROP TABLE IF EXISTS `genere`;
CREATE TABLE `genere` (
  `genere` varchar(24) NOT NULL default '',
  PRIMARY KEY  (`genere`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `genere`
--


/*!40000 ALTER TABLE `genere` DISABLE KEYS */;
LOCK TABLES `genere` WRITE;
INSERT INTO `genere` VALUES ('Azione'),('Cartone Animato'),('Commedia'),('Drammatico'),('Erotico'),('Fantascienza'),('Fantasy'),('Giallo'),('Orror'),('Thriller');
UNLOCK TABLES;
/*!40000 ALTER TABLE `genere` ENABLE KEYS */;

--
-- Table structure for table `noleggio`
--

DROP TABLE IF EXISTS `noleggio`;
CREATE TABLE `noleggio` (
  `ntess` varchar(12) NOT NULL default '',
  `idv` bigint(20) unsigned NOT NULL default '0',
  `dataI` date NOT NULL default '0000-00-00',
  `dataF` date default NULL,
  PRIMARY KEY  (`ntess`,`idv`,`dataI`),
  KEY `idv` (`idv`),
  CONSTRAINT `noleggio_ibfk_1` FOREIGN KEY (`idv`) REFERENCES `video` (`idv`) ON DELETE CASCADE,
  CONSTRAINT `noleggio_ibfk_2` FOREIGN KEY (`ntess`) REFERENCES `cliente` (`ntess`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `noleggio`
--


/*!40000 ALTER TABLE `noleggio` DISABLE KEYS */;
LOCK TABLES `noleggio` WRITE;
INSERT INTO `noleggio` VALUES ('1234',2,'2006-02-14',NULL),('99999999',5,'2006-02-14','2006-02-15');
UNLOCK TABLES;
/*!40000 ALTER TABLE `noleggio` ENABLE KEYS */;

--
-- Table structure for table `video`
--

DROP TABLE IF EXISTS `video`;
CREATE TABLE `video` (
  `idv` bigint(20) unsigned NOT NULL auto_increment,
  `titolo` varchar(128) NOT NULL default '',
  `trama` text,
  `genere` varchar(24) NOT NULL default '',
  `durata` time default NULL,
  `costo` float(3,2) unsigned NOT NULL default '3.50',
  PRIMARY KEY  (`idv`),
  UNIQUE KEY `idv` (`idv`),
  KEY `genere` (`genere`),
  CONSTRAINT `video_ibfk_1` FOREIGN KEY (`genere`) REFERENCES `genere` (`genere`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `video`
--


/*!40000 ALTER TABLE `video` DISABLE KEYS */;
LOCK TABLES `video` WRITE;
INSERT INTO `video` VALUES (1,'Identita\'','','Thriller','01:50:10',3.50),(2,'XXX','','Azione','02:03:00',3.50),(3,'Nella mente del serial killer','','Commedia','02:05:00',3.50),(5,'Le follie dell\'imperatore','Ma che bel cartone!!','Cartone animato','01:50:00',3.50);
UNLOCK TABLES;
/*!40000 ALTER TABLE `video` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

